Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class Token

    java.lang.Object
      |
      +--org.apache.axis.types.NormalizedString
            |
            +--org.apache.axis.types.Token

Direct Known Subclasses:
  Name, NMToken

public class Token
extends NormalizedString

Custom class for supporting primitive XSD data type Token. token represents tokenized strings. The base type of token is normalizedString.

Author:
  Chris Haddad
See Also:
  XML Schema 3.3.2

Constructor Summary
`Token()`
`Token(java.lang.String stValue)` ctor for Token

Method Summary
`boolean` | `isValid(java.lang.String stValue)` validate the value against the xsd definition The value space of token is the set of strings that do not contain the line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces.

Methods inherited from class org.apache.axis.types.NormalizedString
`equals, hashCode, setValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Token

    public Token()

### Token

    public Token(java.lang.String stValue)
          throws java.lang.IllegalArgumentException

  ctor for Token
  Throws:
    `java.lang.IllegalArgumentException` - will be thrown if validation fails

Method Detail

### isValid

    public boolean isValid(java.lang.String stValue)

  validate the value against the xsd definition The value space of token is the set of strings that do not contain the line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces. The lexical space of token is the set of strings that do not contain the line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces.
  Overrides:
    `isValid` in class `NormalizedString`
  Following copied from class: `org.apache.axis.types.NormalizedString`
  Parameters:
    `the` - String to test

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.